<Project Sdk="Microsoft.NET.Sdk.Razor">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <RootNamespace>IGP</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <SupportedPlatform Include="browser"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Markdig" Version="1.1.1"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.Web" Version="10.0.5"/>
        <PackageReference Include="Microsoft.Extensions.Localization" Version="10.0.5"/>
        <PackageReference Include="MudBlazor" Version="9.2.0"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Components\Components.csproj"/>
        <ProjectReference Include="..\Model\Model.csproj"/>
        <ProjectReference Include="..\Services\Services.csproj"/>
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Update="Localizations.resx">
            <Generator>ResXFileCodeGenerator</Generator>
            <LastGenOutput>Localizations.Designer.cs</LastGenOutput>
        </EmbeddedResource>
    </ItemGroup>

    <ItemGroup>
        <Compile Update="Localizations.Designer.cs">
            <DesignTime>True</DesignTime>
            <AutoGen>True</AutoGen>
            <DependentUpon>Localizations.resx</DependentUpon>
        </Compile>
    </ItemGroup>

</Project>
